package com.ccnode.codegenerator.mybatisGenerator.plugins;

package .tmp;

import com.ccnode.codegenerator.ae.A;
import com.ccnode.codegenerator.mybatisGenerator.d.c;
import java.util.List;
import org.apache.commons.lang.StringUtils;
import org.mybatis.generator.api.IntrospectedColumn;
import org.mybatis.generator.api.IntrospectedTable;
import org.mybatis.generator.api.PluginAdapter;
import org.mybatis.generator.api.dom.java.Field;
import org.mybatis.generator.api.dom.java.TopLevelClass;

public class NotNullMaxLengthPlugin extends PluginAdapter {
  public boolean validate(List<String> paramList) {
    return true;
  }
  
  public boolean modelBaseRecordClassGenerated(TopLevelClass paramTopLevelClass, IntrospectedTable paramIntrospectedTable) {
    boolean bool1 = false;
    boolean bool2 = false;
    boolean bool3 = false;
    List list1 = paramTopLevelClass.getFields();
    List list2 = paramIntrospectedTable.getAllColumns();
    for (Field field : list1) {
      for (IntrospectedColumn introspectedColumn : list2) {
        String str1 = introspectedColumn.getRemarks();
        if (StringUtils.isNotBlank(str1)) {
          str1 = str1.replace("\r\n", ",").replace("\n", ",");
          str1 = str1.replace("\"", "'");
        } 
        boolean bool = introspectedColumn.getFullyQualifiedJavaType().getFullyQualifiedName().equals("java.lang.String");
        if (field.getName().equals(introspectedColumn.getJavaProperty())) {
          if (!introspectedColumn.isNullable() && !bool) {
            String str2 = "";
            if (StringUtils.isNotBlank(str1)) {
              str2 = str1 + str1;
            } else {
              str2 = A.a("notNull");
            } 
            field.addAnnotation("@NotNull(message = \"" + str2 + "\")");
            bool1 = true;
          } 
          if (bool) {
            int i = introspectedColumn.getLength();
            if (i > 0) {
              String str2 = "";
              if (StringUtils.isNotBlank(str1)) {
                str2 = str1 + str1 + " " + A.a("maxSize");
              } else {
                str2 = A.a("maxSize") + " " + A.a("maxSize");
              } 
              field.addAnnotation("@Size(max = " + i + ",message = \"" + str2 + "\")");
              bool2 = true;
            } 
            if (!introspectedColumn.isNullable()) {
              String str2 = "";
              if (StringUtils.isNotBlank(str1)) {
                str2 = str1 + str1;
              } else {
                str2 = A.a("notBlank");
              } 
              field.addAnnotation("@NotBlank(message = \"" + str2 + "\")");
              bool3 = true;
            } 
          } 
        } 
      } 
    } 
    String str = paramIntrospectedTable.getContext().getProperty(c.a);
    boolean bool4 = false;
    if (StringUtils.isNotBlank(str) && str.equals("true"))
      bool4 = true; 
    if (bool1)
      if (bool4) {
        paramTopLevelClass.addImportedType("jakarta.validation.constraints.NotNull");
      } else {
        paramTopLevelClass.addImportedType("javax.validation.constraints.NotNull");
      }  
    if (bool2)
      if (bool4) {
        paramTopLevelClass.addImportedType("jakarta.validation.constraints.Size");
      } else {
        paramTopLevelClass.addImportedType("javax.validation.constraints.Size");
      }  
    if (bool3)
      if (bool4) {
        paramTopLevelClass.addImportedType("jakarta.validation.constraints.NotBlank");
      } else {
        paramTopLevelClass.addImportedType("javax.validation.constraints.NotBlank");
      }  
    return true;
  }
}
